manifoldcf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kwri...@apache.org
Subject svn commit: r1571281 - /manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml
Date Mon, 24 Feb 2014 13:27:14 GMT
Author: kwright
Date: Mon Feb 24 13:27:14 2014
New Revision: 1571281

URL: http://svn.apache.org/r1571281
Log:
Update japanese version

Modified:
    manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml

Modified: manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml
URL: http://svn.apache.org/viewvc/manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml?rev=1571281&r1=1571280&r2=1571281&view=diff
==============================================================================
--- manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml
(original)
+++ manifoldcf/trunk/site/src/documentation/content/xdocs/ja_JP/how-to-build-and-deploy.xml
Mon Feb 24 13:27:14 2014
@@ -245,6 +245,51 @@
           <p></p>
         </section>
         
+        <section>
+          <title>Running the Apache Solr output connector</title>
+          <p></p>
+          <p>The Apache Solr output connector requires no special attention to build
or run within ManifoldCF.  However, in order for Apache Solr to be able to enforce
+              document security, you must install and properly configure a plugin for Solr.
 This plugin is available for both Solr 3.x and for Solr 4.x, and can be used either
+              as a query parser plugin, or as a search component.  Additional index fields
are also required to contain the necessary security information.  Much more
+              information can be found in the README.txt file in the plugins themselves.</p>
+          <p>The correct versions of the plugins are included in the solr-integration
directory of the main ManifoldCF distribution.  You can also download updated versions
+              of the plugins from the ManifoldCF download page.  The compatibility matrix
is as follows:</p>
+          <p></p>
+          <table>
+            <caption>Apache ManifoldCF Solr 3.x and Solr 4.x plugin compatibility</caption>
+            <tr><th>ManifoldCF versions</th><th>Plugin version</th></tr>
+            <tr><td>0.1.x-1.4.x</td><td>0.x</td></tr>
+            <tr><td>1.5.x</td><td>1.x</td></tr>
+            <tr><td>1.6.x</td><td>2.x</td></tr>
+          </table>
+          <p></p>
+          <p><strong>If the proper version of the plugin is not deployed on Solr,
documents will not be properly secured.</strong>  Thus, it is essential to verify that
the
+              proper plugin version has been deployed for the version of ManifoldCF you are
using.</p>
+        </section>
+
+        <section>
+          <title>Running the ElasticSearch output connector</title>
+          <p></p>
+          <p>The ElasticSearch output connector requires no special attention to build
or run within ManifoldCF.  However, in order for ElasticSearch to be able to enforce
+              document security, you must install, properly configure, and code against a
toolkit plugin for ElasticSearch.
+              Additional index fields are also required to contain the necessary security
information.  Much more information can be found in the README.txt file in the
+              plugin itself.</p>
+          <p>The correct versions of the plugin is included in the elasticsearch-integration
directory of the main ManifoldCF distribution.  You can also download updated versions
+              of the plugin from the ManifoldCF download page.  The compatibility matrix
is as follows:</p>
+          <p></p>
+          <table>
+            <caption>Apache ManifoldCF ElasticSearch plugin compatibility</caption>
+            <tr><th>ManifoldCF versions</th><th>Plugin version</th></tr>
+            <tr><td>0.1.x-1.4.x</td><td>0.x</td></tr>
+            <tr><td>1.5.x</td><td>1.x</td></tr>
+            <tr><td>1.6.x</td><td>2.x</td></tr>
+          </table>
+          <p></p>
+          <p><strong>If the proper version of the plugin is not deployed and
properly integrated, documents will not be properly secured.</strong>  Thus, it is essential
to verify that the
+              proper plugin version has been deployed for the version of ManifoldCF you are
using.</p>
+
+        </section>
+
       </section>
       
       <section>



Mime
View raw message